## interimap 0.4

=== Makefile ===
all: pullimap.1 interimap.1

# upper case the headers and remove the links
%.1: %.md
	@pandoc -f markdown -t json "$<" | \
	jq "                                                                        \
	    def fixheaders:                                                         \
	        if .t == \"Header\" then                                            \
	            .c[2][] |= (if .t == \"Str\" then .c |= ascii_upcase else . end)\
	        else                                                                \
	            .                                                               \
	        end;                                                                \
	    def fixlinks:                                                           \
	        if type == \"object\" then                                          \
	            if .t == \"Link\" then                                          \
	                if .c[2][0][0:7] == \"mailto:\" then . else .c[1][] end     \
	            else                                                            \
	                map_values(fixlinks)                                        \
	            end                                                             \
	        else if type == \"array\" then                                      \
	                map(fixlinks)                                               \
	            else                                                            \
	                .                                                           \
	            end                                                             \
	        end;                                                                \
	    { \"pandoc-api-version\"                                                \
	    , meta                                                                  \
	    , blocks: .blocks | map(fixheaders) | map(fixlinks)                     \
	    }" | \
	pandoc -s -f json -t man+smart -o "$@"

install:

clean:
	rm -f pullimap.1 interimap.1

.PHONY: all install clean
