=== debian/changelog ===
interimap (0.4-1) unstable; urgency=low

  * Initial release.  Closes: #919904, #919906, #919908.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 20 Jan 2019 21:25:54 +0100
