=== debian/control ===
Source: interimap
Section: mail
Priority: optional
Maintainer: Guilhem Moulin <guilhem@debian.org>
Build-Depends: debhelper (>= 11~), jq, pandoc (>= 2.1~)
Standards-Version: 4.3.0
Vcs-Git: https://git.guilhem.org/interimap
Vcs-Browser: https://git.guilhem.org/interimap

Package: interimap
Architecture: all
Depends: libdbd-sqlite3-perl,
         libdbi-perl,
         libinterimap (>= ${source:Upstream-Version}~),
         ${misc:Depends},
         ${perl:Depends}
Description: Fast bidirectional synchronization for QRESYNC-capable IMAP servers
 InterIMAP performs stateful bi-directional synchronization between two
 IMAP4rev1 servers.  Compared to the so-called "full" synchronization
 solutions, InterIMAP is both much faster and parsimonious in network
 traffic.
 .
 Stateful synchronization is made possible by the QRESYNC extension from
 [RFC7162]; for convenience reasons servers must also support LIST-EXTENDED
 [RFC5258], LIST-STATUS [RFC5819] and UIDPLUS [RFC4315].
 .
 Furthermore, while InterIMAP can work with servers lacking support for
 LITERAL+ [RFC2088] and MULTIAPPEND [RFC3502], these extensions greatly
 improve performance by reducing the number of required round trips and it
 thus strongly recommended to use a server supporting these.
 .
 InterIMAP supports the COMPRESS=DEFLATE extension from [RFC4978].  It is
 enabled by default on remote servers advertising it, in order to reduce
 network traffic, especially for long-lived connections.

Package: pullimap
Architecture: all
Depends: libinterimap (>= ${source:Upstream-Version}~),
         ${misc:Depends},
         ${perl:Depends}
Description: Pull mails from an IMAP mailbox and deliver them via SMTP or LMTP
 PullIMAP retrieves messages from an IMAP mailbox and deliver them to an
 SMTP or LMTP transmission channel.  It can also remove old messages after
 a configurable retention period.
 .
 A statefile is used to keep track of the mailbox's UIDVALIDITY and UIDNEXT
 values.  While PullIMAP is running, the statefile is also used to keep
 track of UIDs being delivered, which avoids duplicate deliveries if the
 process is interrupted.
 .
 PullIMAP supports the COMPRESS=DEFLATE extension from [RFC4978].  It is
 enabled by default on servers advertising it, in order to reduce network
 traffic, especially for long-lived connections (when IDLE commands are
 enabled.)

Package: libinterimap
Architecture: all
Depends: libconfig-tiny-perl,
         libnet-ssleay-perl (>=1.73-1),
         ${misc:Depends},
         ${perl:Depends}
Description: Net::IMAP::InterIMAP library and utils
 Net::IMAP::InterIMAP is a minimal IMAP4rev1 client for QRESYNC-capable
 servers, used by interimap.  It can also be used with non QRESYNC-capable
 servers, but doing so can be unsafe as the client does not store any
 in-session mapping between message sequence numbers and UIDs.
