=== debian/changelog ===
interimap (0.5-1) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.5.0 (no changes necessary).
  * d/patches: Remove patches applied upstream.
  * d/patches: Avoid running randomized tests on the build daemons.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 29 Jan 2020 13:22:16 +0100

interimap (0.5~rc-2) experimental; urgency=low

  * Apply patches from master to make the test suite pass on the buildds.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 15 Dec 2019 03:44:27 +0100

interimap (0.5~rc-1) experimental; urgency=low

  * New upstream release.  Closes: #942725, #944812, #944859.
  * debian/control:
    + New Build-Depends for the test-suite: dovecot-imapd, dovecot-lmtpd,
      libconfig-tiny-perl, libdbd-sqlite3-perl, libnet-ssleay-perl, openssl,
      procps, sqlite3, and xxd.
    + interimap: no longer depends on 'libdbi-perl' (pulled by DBD::SQLite).
    + interimap: now suggests dovecot-imapd.
    + Bump debhelper compatibility level to 12 and set debhelper-compat
      version in Build-Depends.
    + Add Homepage field, pointing to https://guilhem.org/interimap .
    + Bump Standards-Version to 4.4.1 (no changes necessary).
    + Set 'Rules-Requires-Root: no'.
  * Rename debian/source.lintian-overrides to debian/source/lintian-overrides.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 14 Dec 2019 19:41:21 +0100
