=== debian/control ===
--- 
+++ 
@@ -2,18 +2,31 @@
 Section: mail
 Priority: optional
 Maintainer: Guilhem Moulin <guilhem@debian.org>
-Build-Depends: debhelper (>= 11~), jq, pandoc (>= 2.1~)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+               dovecot-imapd (>= 2~),
+               dovecot-lmtpd (>= 2~),
+               jq,
+               libconfig-tiny-perl,
+               libdbd-sqlite3-perl,
+               libnet-ssleay-perl (>= 1.73~),
+               openssl,
+               pandoc (>= 2.1~),
+               procps,
+               sqlite3,
+               xxd
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Homepage: https://guilhem.org/interimap
 Vcs-Git: https://git.guilhem.org/interimap
 Vcs-Browser: https://git.guilhem.org/interimap
 
 Package: interimap
 Architecture: all
 Depends: libdbd-sqlite3-perl,
-         libdbi-perl,
          libinterimap (>= ${source:Upstream-Version}~),
          ${misc:Depends},
          ${perl:Depends}
+Suggests: dovecot-imapd (>= 2~)
 Description: Fast bidirectional synchronization for QRESYNC-capable IMAP servers
  InterIMAP performs stateful bi-directional synchronization between two
  IMAP4rev1 servers.  Compared to the so-called "full" synchronization
@@ -56,7 +69,7 @@
 Package: libinterimap
 Architecture: all
 Depends: libconfig-tiny-perl,
-         libnet-ssleay-perl (>=1.73-1),
+         libnet-ssleay-perl (>= 1.73~),
          ${misc:Depends},
          ${perl:Depends}
 Description: Net::IMAP::InterIMAP library and utils
