## interimap 0.5.2

=== Makefile ===
DESTDIR ?= /usr/local
BUILD_DOCDIR ?= ./doc
CSS ?= /usr/share/javascript/bootstrap4/css/bootstrap.css
HTML_TEMPLATE ?= ./doc/template.html

HTML_FILES = $(addprefix $(BUILD_DOCDIR)/,$(patsubst ./doc/%.md,%.html,$(wildcard ./doc/*.md)))
MANUAL_FILES = $(addprefix $(BUILD_DOCDIR)/,$(patsubst ./doc/%.md,%,$(wildcard ./doc/*.[1-9].md)))

all: manual

manual: $(MANUAL_FILES)
html: $(HTML_FILES)

# upper case the headers and remove the links
$(MANUAL_FILES): $(BUILD_DOCDIR)/%: ./doc/%.md
	pandoc -f markdown -t json -- "$<" | ./pandoc2man.jq | pandoc -s -f json -t man -o "$@"

test:
	@./tests/run-all

## make html CSS="https://guilhem.org/static/css/bootstrap.min.css" BUILD_DOCDIR="$XDG_RUNTIME_DIR/Downloads"
$(HTML_FILES): $(BUILD_DOCDIR)/%.html: ./doc/%.md $(HTML_TEMPLATE)
	mtime="$$(git --no-pager log -1 --pretty="format:%ct" -- "$<" 2>/dev/null)"; \
	[ -n "$$mtime" ] || mtime="$$(date +%s -r "$<")"; \
	[ "$<" = "doc/index.md" ] && parent="" || parent="./index.html"; \
	pandoc -sp -f markdown -t html+smart --css=$(CSS) --template=$(HTML_TEMPLATE) \
		--variable=date:"$$(LC_TIME=C date +"Last modified on %a, %d %b %Y at %T %z" -d @"$$mtime")" \
		--variable=keywords:"interimap" \
		--variable=lang:"en" \
		--variable=parent:"$$parent" \
		--output="$@" -- "$<"

doc: manual html

prefix ?= $(DESTDIR)
exec_prefix ?= $(prefix)
bindir ?= $(exec_prefix)/bin
libdir ?= $(exec_prefix)/lib
datarootdir ?= $(DESTDIR)/share
mandir ?= $(datarootdir)/man
man1dir ?= $(mandir)/man1

install: all
	install -m0755 -vDt $(bindir) ./interimap ./pullimap
	install -m0644 -vDT ./lib/Net/IMAP/InterIMAP.pm $(datarootdir)/perl5/Net/IMAP/InterIMAP.pm
	install -m0644 -vDt $(man1dir) $(BUILD_DOCDIR)/interimap.1 $(BUILD_DOCDIR)/pullimap.1
	install -m0644 -vDt $(datarootdir)/doc/pullimap ./pullimap.sample
	install -m0644 -vDt $(datarootdir)/doc/interimap ./interimap.sample ./doc/getting-started.md ./doc/multi-account.md README
	install -m0644 -vDt $(libdir)/systemd/user ./*.service

uninstall:
	rm -vf -- $(bindir)/interimap $(man1dir)/interimap.1 $(libdir)/systemd/user/interimap*.service
	rm -vf -- $(bindir)/pullimap $(man1dir)/pullimap.1 $(libdir)/systemd/user/pullimap*.service
	rm -vf -- $(datarootdir)/perl5/Net/IMAP/InterIMAP.pm
	rm -rvf -- $(datarootdir)/doc/interimap $(datarootdir)/doc/pullimap
	rm -vf -- $(BUILD_DOCDIR)/interimap.1 $(BUILD_DOCDIR)/pullimap.1

clean:
	rm -vf -- $(MANUAL_FILES) $(HTML_FILES)

.PHONY: all manual html doc test install uninstall clean
