=== debian/changelog ===
interimap (0.5.2-1) unstable; urgency=medium

  * New upstream release.  Closes: #966937.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 03 Aug 2020 20:56:37 +0200

interimap (0.5.1-2) unstable; urgency=medium

  * d/rules: Pass '--no-enable' to dh_installsystemduser(1).  Not enabling the
    units on install makes sense as interimap resp. pullimap will refuse to
    create the database when started with '--watch=' resp. '--idle='.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 05 Jul 2020 23:49:56 +0200

interimap (0.5.1-1) unstable; urgency=medium

  * d/control: Annotate some Build-Depends with <!nocheck>.
  * d/control: Bump debhelper compatibility level to 13.
  * d/patches/Ignore-custom-lib-PATH.patch: Remove patch, applied upstream.
  * Adapt d/*.docs, d/*.install and d/*.manpages to the current upstream
    Makefile.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 02 Jul 2020 00:16:07 +0200
