=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: mail
 Priority: optional
 Maintainer: Guilhem Moulin <guilhem@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dovecot-imapd (>= 2~),
-               dovecot-lmtpd (>= 2~),
+Build-Depends: debhelper-compat (= 13),
+               dovecot-imapd (>= 2~) <!nocheck>,
+               dovecot-lmtpd (>= 2~) <!nocheck>,
                jq,
-               libconfig-tiny-perl,
-               libdbd-sqlite3-perl,
-               libnet-ssleay-perl (>= 1.73~),
-               openssl,
+               libconfig-tiny-perl <!nocheck>,
+               libdbd-sqlite3-perl <!nocheck>,
+               libnet-ssleay-perl (>= 1.73~) <!nocheck>,
+               openssl <!nocheck>,
                pandoc (>= 2.1~),
-               procps,
-               sqlite3,
-               xxd
+               procps <!nocheck>,
+               sqlite3 <!nocheck>,
+               xxd <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://guilhem.org/interimap
