## interimap 0.5.6

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,26 @@
 	pandoc -f markdown -t json -- "$<" | ./pandoc2man.jq | pandoc -s -f json -t man -o "$@"
 
 test:
-	@./tests/run-all
+	./tests/certs/generate
+	./tests/run-all
+
+release:
+	@if ! git diff HEAD --quiet -- ./Changelog ./interimap ./pullimap ./lib/Net/IMAP/InterIMAP.pm; then \
+		echo "Dirty state, refusing to release!" >&2; \
+		exit 1; \
+	fi
+	VERS=$$(dpkg-parsechangelog -l Changelog -SVersion 2>/dev/null) && \
+		if git rev-parse -q --verify "refs/tags/v$$VERS" >/dev/null; then echo "tag exists" 2>/dev/null; exit 1; fi && \
+		sed -ri "0,/^( -- .*)  .*/ s//\\1  $(shell date -R)/" ./Changelog && \
+		sed -ri "0,/^(our\\s+\\\$$VERSION\\s*=\\s*)'[0-9.]+'\\s*;/ s//\\1'$$VERS';/" \
+			-- ./interimap ./pullimap && \
+		sed -ri "0,/^(package\\s+Net::IMAP::InterIMAP\\s+)v[0-9.]+\\s*;/ s//\\1v$$VERS;/" \
+			-- ./lib/Net/IMAP/InterIMAP.pm && \
+		sed -ri "0,/^(use\\s+Net::IMAP::InterIMAP\\s+)[0-9.]+(\\s|\\$$)/ s//\\1$$VERS\\2/" \
+			-- ./interimap ./pullimap && \
+		git commit -m "Prepare new release v$$VERS." \
+			-- ./Changelog ./interimap ./pullimap ./lib/Net/IMAP/InterIMAP.pm && \
+		git tag -sm "Release version $$VERS" "v$$VERS"
 
 ## make html CSS="https://guilhem.org/static/css/bootstrap.min.css" BUILD_DOCDIR="$XDG_RUNTIME_DIR/Downloads"
 $(HTML_FILES): $(BUILD_DOCDIR)/%.html: ./doc/%.md $(HTML_TEMPLATE)
@@ -36,7 +55,7 @@
 exec_prefix ?= $(prefix)
 bindir ?= $(exec_prefix)/bin
 libdir ?= $(exec_prefix)/lib
-datarootdir ?= $(DESTDIR)/share
+datarootdir ?= $(prefix)/share
 mandir ?= $(datarootdir)/man
 man1dir ?= $(mandir)/man1
 
@@ -58,4 +77,4 @@
 clean:
 	rm -vf -- $(MANUAL_FILES) $(HTML_FILES)
 
-.PHONY: all manual html doc test install uninstall clean
+.PHONY: all manual html doc test release install uninstall clean
