=== debian/changelog ===
interimap (0.5.6-1ubuntu1) hirsute; urgency=medium

  * On Ubuntu, to access TLS less than 1.2 one needs to also lower the
    security level to 1. Lower it to zero, because in the future openssl
    release zero will be needed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 08 Apr 2021 11:46:23 +0100

interimap (0.5.6-1) unstable; urgency=high

  * New upstream bugfix release with the correct minimum Net::SSLeay version.
  * Bump required libnet-ssleay-perl version to 1.88 (next stable upstream
    release after developer release 1.86_06, and also earliest version
    available in Debian).

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 01 Jan 2021 16:20:51 +0100

interimap (0.5.5-1) unstable; urgency=medium

  * New upstream release.  Highlights include:
    + The 'SSL_protocols' option is now deprecated, and replaced by the
      combination of 'SSL_protocol_min' and 'SSL_protocol_max'.
    + Use default locations for trusted CA certificates (respectively
      /etc/ssl/certs/ca-certificates.crt and /etc/ssl/certs on Debian systems)
      when neither CAfile nor CApath are set.
    + SSL/TLS connections now require OpenSSL 1.1.0 or later.
    + New option SSL_ciphersuites to set the TLSv1.3 ciphersuites.
      (SSL_cipherlist only apply to TLSv1.2 and below.)
  * d/control: pin exact libinterimap version in interimap & pullimap's
    depends.  The components are tightly tied together and libinterimap makes
    no promise of API stability.
  * d/control: Bump dovecot-imapd version to >=2.3 in Build-Depends for the
    test suite.
  * d/.gitattributes: New file to merge d/changelog with
    dpkg-mergechangelogs(1).

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 26 Dec 2020 23:57:56 +0100

interimap (0.5.4-1) unstable; urgency=medium

  * New upstream release.  This bumps the minimum libnet-ssleay-perl version
    from 1.73 to 1.83 (and openssl to 1.1.1 in Build-Depends).
  * Really add d/upstream/signing-key.asc, the OpenPGP used to signed upstream
    tags.
  * Add d/watch pointing to the upstream repository.
  * d/gbp.conf: Update upstream tag template.
  * d/gbp.conf: Update debian and upstream branches in compliance with DEP-14.
  * d/control: Point Vcs-* to salsa.
  * Add debian/salsa-ci.yml file.  .test-reprotest is currently run with
    DEB_BUILD_OPTIONS=nocheck.
  * d/rules: Run test suite with TMPDIR=/var/tmp as some systems (such as
    salsa's CI runners) mount /dev/shm with the 'noexec' option.  /var/tmp is
    probably safer in that regard since it's what mkinitramfs(8) defaults to.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 11 Dec 2020 11:48:22 +0100

interimap (0.5.3-1) unstable; urgency=medium

  * New upstream release.  Closes: #968392.
  * d/control: The test suite now requires Dovecot v2.2.31 or later (for
    ssl_alt_cert).
  * Add d/upstream/signing-key.asc, the OpenPGP used to signed upstream tags.
  * d/control: Add missing epoch number on dovecot-* dependencies.
  * d/control: Bump Standards-Version to 4.5.1 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 09 Dec 2020 15:49:50 +0100
