=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: interimap
 Section: mail
 Priority: optional
-Maintainer: Guilhem Moulin <guilhem@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guilhem Moulin <guilhem@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dovecot-imapd (>= 2~) <!nocheck>,
-               dovecot-lmtpd (>= 2~) <!nocheck>,
+               dovecot-imapd (>= 1:2.3~) <!nocheck>,
+               dovecot-lmtpd (>= 1:2~) <!nocheck>,
                jq,
                libconfig-tiny-perl <!nocheck>,
                libdbd-sqlite3-perl <!nocheck>,
-               libnet-ssleay-perl (>= 1.73~) <!nocheck>,
-               openssl <!nocheck>,
+               libnet-ssleay-perl (>= 1.88~) <!nocheck>,
+               openssl (>= 1.1.1~) <!nocheck>,
                pandoc (>= 2.1~),
                procps <!nocheck>,
                sqlite3 <!nocheck>,
                xxd <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://guilhem.org/interimap
-Vcs-Git: https://git.guilhem.org/interimap
-Vcs-Browser: https://git.guilhem.org/interimap
+Vcs-Git: https://salsa.debian.org/debian/interimap.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/debian/interimap
 
 Package: interimap
 Architecture: all
 Depends: libdbd-sqlite3-perl,
-         libinterimap (>= ${source:Upstream-Version}~),
+         libinterimap (= ${binary:Version}),
          ${misc:Depends},
          ${perl:Depends}
-Suggests: dovecot-imapd (>= 2~)
+Suggests: dovecot-imapd (>= 1:2~)
 Description: Fast bidirectional synchronization for QRESYNC-capable IMAP servers
  InterIMAP performs stateful bi-directional synchronization between two
  IMAP4rev1 servers.  Compared to the so-called "full" synchronization
@@ -48,9 +49,7 @@
 
 Package: pullimap
 Architecture: all
-Depends: libinterimap (>= ${source:Upstream-Version}~),
-         ${misc:Depends},
-         ${perl:Depends}
+Depends: libinterimap (= ${binary:Version}), ${misc:Depends}, ${perl:Depends}
 Description: Pull mails from an IMAP mailbox and deliver them via SMTP or LMTP
  PullIMAP retrieves messages from an IMAP mailbox and deliver them to an
  SMTP or LMTP transmission channel.  It can also remove old messages after
@@ -69,7 +68,7 @@
 Package: libinterimap
 Architecture: all
 Depends: libconfig-tiny-perl,
-         libnet-ssleay-perl (>= 1.73~),
+         libnet-ssleay-perl (>= 1.83~),
          ${misc:Depends},
          ${perl:Depends}
 Description: Net::IMAP::InterIMAP library and utils
