=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

override_dh_auto_test:
	# /dev/shm, the default, might be mounted with noexec
	dh_auto_test -- TMPDIR=/var/tmp
