=== debian/changelog ===
interimap (0.5.7-2ubuntu2) noble; urgency=medium

  * Fix the time_t fixes

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 28 Mar 2024 14:49:31 +0100

interimap (0.5.7-2ubuntu1) noble; urgency=medium

  * Fix timeval packing on armhf for 64-bit time_t (LP: #2059120)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 26 Mar 2024 13:20:24 +0100

interimap (0.5.7-2) unstable; urgency=medium

  * DEP-8: Name inline tests.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Salsa CI: Include recipes/debian.yml.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 25 Jan 2023 02:35:21 +0100

interimap (0.5.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:04:02 +0200

interimap (0.5.7-1) unstable; urgency=low

  * New upstream release.
  * Set field Upstream-Name in debian/copyright.
  * Update standards version to 4.6.0, no changes needed.
  * d/control: Update and improve long descriptions, adding reference to
    alternative software.
  * Update d/u/signing-key.asc.
  * d/watch: Use substitution strings.
  * d/rules: Adapt to upstream's Makefile refactoring.
  * d/control, d/rules: Honor 'nodoc' profile.  In particular, exclude 'jq'
    and 'pandoc' from Build-Depends under that profile.
  * Update d/patches.
  * d/patches: Don't exclude non-IDLE'ing pullimap tests.
  * d/rules: Pass --no-parallel flag to dh_auto_test.
  * Update copyright years.
  * Add DEP-8 tests for 'interimap' and 'pullimap' binary packages.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 27 Feb 2022 16:58:18 +0100
