=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
 Build-Depends: debhelper-compat (= 13),
                dovecot-imapd (>= 1:2.3~) <!nocheck>,
                dovecot-lmtpd (>= 1:2~) <!nocheck>,
-               jq,
+               jq <!nodoc>,
                libconfig-tiny-perl <!nocheck>,
                libdbd-sqlite3-perl <!nocheck>,
                libnet-ssleay-perl (>= 1.88~) <!nocheck>,
                openssl (>= 1.1.1~) <!nocheck>,
-               pandoc (>= 2.1~),
+               pandoc (>= 2.1~) <!nodoc>,
                procps <!nocheck>,
                sqlite3 <!nocheck>,
                xxd <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://guilhem.org/interimap
 Vcs-Git: https://salsa.debian.org/debian/interimap.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/interimap
@@ -30,9 +30,9 @@
 Suggests: dovecot-imapd (>= 1:2~)
 Description: Fast bidirectional synchronization for QRESYNC-capable IMAP servers
  InterIMAP performs stateful bi-directional synchronization between two
- IMAP4rev1 servers.  Compared to the so-called "full" synchronization
- solutions, InterIMAP is both much faster and parsimonious in network
- traffic.
+ IMAP4rev1 servers.  Compared to alternatives such as OfflineIMAP, InterIMAP
+ trades flexibility and IMAPd compatibility for performance; it is both *much*
+ faster and parsimonious in network traffic.
  .
  Stateful synchronization is made possible by the QRESYNC extension from
  [RFC7162]; for convenience reasons servers must also support LIST-EXTENDED
@@ -44,26 +44,30 @@
  thus strongly recommended to use a server supporting these.
  .
  InterIMAP supports the COMPRESS=DEFLATE extension from [RFC4978].  It is
- enabled by default on remote servers advertising it, in order to reduce
- network traffic, especially for long-lived connections.
+ enabled by default on remote servers advertising it in order to reduce network
+ traffic, especially for long-lived connections.
 
 Package: pullimap
 Architecture: all
 Depends: libinterimap (= ${binary:Version}), ${misc:Depends}, ${perl:Depends}
 Description: Pull mails from an IMAP mailbox and deliver them via SMTP or LMTP
  PullIMAP retrieves messages from an IMAP mailbox and deliver them to an
- SMTP or LMTP transmission channel.  It can also remove old messages after
- a configurable retention period.
+ SMTP or LMTP transmission channel.  Compared to alternatives such as fetchmail
+ or getmail, PullIMAP trades flexibility and IMAPd compatibility for
+ performance.
  .
  A statefile is used to keep track of the mailbox's UIDVALIDITY and UIDNEXT
  values.  While PullIMAP is running, the statefile is also used to keep
- track of UIDs being delivered, which avoids duplicate deliveries if the
+ track of UIDs being delivered, which avoids duplicate deliveries in case the
  process is interrupted.
  .
  PullIMAP supports the COMPRESS=DEFLATE extension from [RFC4978].  It is
- enabled by default on servers advertising it, in order to reduce network
+ enabled by default on servers advertising it in order to reduce network
  traffic, especially for long-lived connections (when IDLE commands are
  enabled.)
+ .
+ An optional retention period can be set to automatically remove old messages
+ from the IMAP server.
 
 Package: libinterimap
 Architecture: all
