=== debian/tests/control ===
Features: test-name=installcheck-interimap
Test-Command: make installcheck-interimap bindir="/usr/bin"
Restrictions: rw-build-tree
Depends: dovecot-imapd, interimap, openssl, procps, sqlite3, xxd

Features: test-name=installcheck-pullimap
Test-Command: make installcheck-pullimap bindir="/usr/bin"
Restrictions: rw-build-tree
Depends: dovecot-imapd, dovecot-lmtpd, openssl, pullimap, xxd
