=== debian/changelog ===
interimap (0.5.8-2) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * d/patches: Add patch to use "openssl rehash" instead of c_rehash in tests.
    (Closes: #1117508)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 07 Oct 2025 19:25:28 +0200

interimap (0.5.8-1) unstable; urgency=medium

  * New upstream release.
  * Refresh d/patches and drop those applied upstream.
  * d/control, d/tests: Bump minimum dovecot-* version to 1:2.4~.  Dovecot 2.4
    uses different configuration settings and that's what is targeted in the
    testsuite of interimap ≥5.0.8.
  * Update Standards-Version to 4.7.2.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 26 Apr 2025 18:34:23 +0200

interimap (0.5.7-4) unstable; urgency=medium

  * d/rules: Export variables instead of setting them through $MAKEFLAGS as
    the latter doesn't work anymore as of GNU Make 4.4.1. (Closes: #1089264)
  * d/*.install: Replace hardcoded prefix and sitelib with ${env:…}.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 20 Dec 2024 15:34:50 +0100

interimap (0.5.7-3) unstable; urgency=medium

  * d/patches:
    + Add upstream patch to generate X.509 version 3 CA prior to running the
      test suite. (Closes: #1065529)
    + Add patch from Simon Chopin to fix struct flock & timeval packing on
      armhf. (Closes: #1067763, LP: #2059120)
  * Update Standards-Version to 4.7.0 (no changes necessary).

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 04 May 2024 14:41:54 +0200
