=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: interimap
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guilhem Moulin <guilhem@debian.org>
+Maintainer: Guilhem Moulin <guilhem@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dovecot-imapd (>= 1:2.3~) <!nocheck>,
-               dovecot-lmtpd (>= 1:2~) <!nocheck>,
+               dovecot-imapd (>= 1:2.4~) <!nocheck>,
+               dovecot-lmtpd (>= 1:2.4~) <!nocheck>,
                jq <!nodoc>,
                libconfig-tiny-perl <!nocheck>,
                libdbd-sqlite3-perl <!nocheck>,
@@ -16,7 +15,7 @@
                sqlite3 <!nocheck>,
                xxd <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://guilhem.org/interimap
 Vcs-Git: https://salsa.debian.org/debian/interimap.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/debian/interimap
