=== debian/rules ===
#!/usr/bin/make -f

export prefix=/usr
export sitelib=$(prefix)/share/perl5

%:
	dh $@

ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	dh_auto_build -- all-nodoc
endif

override_dh_auto_test:
	# /dev/shm, the default, might be mounted with noexec
	dh_auto_test --no-parallel -- TMPDIR=/var/tmp

override_dh_installsystemduser:
	dh_installsystemduser --no-enable
