=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
  https://git.guilhem.org/interimap.git \
  refs/tags/v?@ANY_VERSION@
